Page MenuHomePhabricator

Archive zookeeper puppet submodule
Closed, ResolvedPublic

Description

  • Remove Jenkins pipeline from zuul/layout.yaml file in integration/config.git.
  • Empty repository, leaving only a note in the README file. (https://gerrit.wikimedia.org/r/#/c/operations/puppet/zookeeper/+/520365/)
  • Archive any documentation page on mediawiki.org.
  • Archive any Phabricator project for the extension.
  • Edit any Phabricator project description, and add link to this ticket.
  • Mark the repository read-only in Gerrit, and prefix description with [ARCHIVED] .
  • Archive the repo mirror in Phabricator Diffusion.
  • Archive the repo mirror on GitHub.com.

Event Timeline

elukey created this task.Jul 3 2019, 6:08 AM

Change 520365 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet/zookeeper@master] Deprecate repository

https://gerrit.wikimedia.org/r/520365

Change 520365 merged by Elukey:
[operations/puppet/zookeeper@master] Deprecate repository

https://gerrit.wikimedia.org/r/520365

elukey updated the task description. (Show Details)Jul 3 2019, 6:18 AM

Change 520366 had a related patch set uploaded (by Elukey; owner: Elukey):
[integration/config@master] Archive the puppet zookeeper submodule

https://gerrit.wikimedia.org/r/520366

elukey added a subscriber: Krinkle.Jul 3 2019, 6:24 AM

There are some pull requests to close in https://github.com/wikimedia/puppet-zookeeper/pulls and also to set the mirror as read only, but I think that I don't have the necessary perms to do that.. @Krinkle can you help?

Change 520366 merged by jenkins-bot:
[integration/config@master] Archive the puppet zookeeper submodule

https://gerrit.wikimedia.org/r/520366

Milimetric triaged this task as High priority.Jul 8 2019, 3:34 PM
Milimetric moved this task from Incoming to Operational Excellence on the Analytics board.
elukey updated the task description. (Show Details)EditedJul 10 2019, 9:27 AM

There are some pull requests to close in https://github.com/wikimedia/puppet-zookeeper/pulls and also to set the mirror as read only, but I think that I don't have the necessary perms to do that.. @Krinkle can you help?

@Ottomata do you have perms to close these pull requests? https://github.com/wikimedia/puppet-zookeeper/pulls

Also setting it "Archived" if possible (Timo did it for the cdh module in gh IIUC)

elukey closed this task as Resolved.Aug 9 2019, 3:47 PM
elukey updated the task description. (Show Details)